package gq.unurled.elixium.manager;

import gq.unurled.elixium.Elixium;
import gq.unurled.elixium.commands.admin.NbtCommand;
import gq.unurled.elixium.commands.admin.ReloadCommand;
import gq.unurled.elixium.commands.admin.TestGuiCommand;
import gq.unurled.elixium.commands.player.SkillsCommand;
import gq.unurled.elixium.commands.player.StorageCommand;


public class CommandManager {

    private Elixium main;

    public CommandManager(Elixium main) {
        this.main = main;
    }

    public void register() {
        ReloadCommand reloadComand = new ReloadCommand();
        main.getCommand("reloadplugin").setExecutor(reloadComand);
        main.getCommand("reloadplugin").setTabCompleter(reloadComand);

        NbtCommand nbtCommand = new NbtCommand(main);
        main.getCommand("nbt").setExecutor(nbtCommand);
        main.getCommand("nbt").setTabCompleter(nbtCommand);

        TestGuiCommand testGuiCommand = new TestGuiCommand();
        main.getCommand("testgui").setExecutor(testGuiCommand);
        main.getCommand("testgui").setTabCompleter(testGuiCommand);

        StorageCommand storageCommand = new StorageCommand();
        main.getCommand("storage").setExecutor(storageCommand);
        main.getCommand("storage").setTabCompleter(storageCommand);


        SkillsCommand skillsCommand = new SkillsCommand(main);
        main.getCommand("skills").setTabCompleter(skillsCommand);
        main.getCommand("skills").setExecutor(skillsCommand);
    }

}
