package gq.unurled.elixium.config;

import de.leonhard.storage.Json;
import gq.unurled.elixium.Elixium;
import lombok.Getter;
import org.bukkit.configuration.file.FileConfiguration;

import java.io.File;

public class Config {
    private Elixium main;

    private File configFile;

    @Getter
    private FileConfiguration config;


    public Config(Elixium main) {
        this.main = main;
        this.config = main.getConfig();
    }

    public void init() {
        if (!(new File(main.getDataFolder() + "/config.yml").exists())) {
            main.saveDefaultConfig();
        }
    }

}
